{assign var=moreVar value="80"}
<div class="data-control-id-2428 bd-productdesc-9">
    {if isset($isViewedProduct) && $isViewedProduct}
        {if isset($moreVar)}
            {$product->description_short|strip_tags:'UTF-8'|truncate:{$moreVar}}
        {else}
            {$product->description_short|strip_tags:'UTF-8'}
        {/if}
        <a href="{$product->product_link}" title="{l s='More about'} {$product->name|escape:html:'UTF-8'}">{l s='More about'} {$product->name|escape:html:'UTF-8'}</a>
    {else isset($product)}
        {if $page_name == 'product'}
            {if $product->description_short OR $packItems|@count > 0}
                <div id="short_description_block">
                    {if $product->description_short}
                        <div id="short_description_content" class="rte align_justify" itemprop="description">{if isset($moreVar)}{$product->description_short|truncate:{$moreVar}}{else}{$product->description_short}{/if}</div>
                    {/if}
                    {if $product->description}
                    <p class="buttons_bottom_block" style="display: none;"><a href="javascript:{ldelim}{rdelim}">{l s='More details'}</a></p>
                    {/if}
                    {if $packItems|@count > 0}
                    <div class="short_description_pack">
                        <h3>{l s='Pack content'}</h3>
                        {foreach from=$packItems item=packItem}
                        <div class="pack_content">
                            {$packItem.pack_quantity} x <a href="{$link->getProductLink($packItem.id_product, $packItem.link_rewrite, $packItem.category)|escape:'html':'UTF-8'}">{$packItem.name|escape:'html':'UTF-8'}</a>
                            <p>{$packItem.description_short}</p>
                        </div>
                        {/foreach}
                    </div>
                    {/if}
                </div>
            {/if}
            
            {if isset($adminActionDisplay) && $adminActionDisplay}
                <div id="admin-action">
                    <p>{l s='This product is not visible to your customers.'}
                        <input type="hidden" id="admin-action-product-id" value="{$product->id}" />
                        {if version_compare($smarty.const._PS_VERSION_,'1.6','<')}
                            <input type="submit" value="{l s='Publish'}" onclick="submitPublishProduct('{$base_dir}{$smarty.get.ad|escape:'htmlall':'UTF-8'}', 0, '{$smarty.get.adtoken|escape:'htmlall':'UTF-8'}')"/>
                            <input type="submit" value="{l s='Back'}" onclick="submitPublishProduct('{$base_dir}{$smarty.get.ad|escape:'htmlall':'UTF-8'}', 1, '{$smarty.get.adtoken|escape:'htmlall':'UTF-8'}')"/>
                        {else}
                            <input type="submit" value="{l s='Publish'}" class="exclusive" onclick="submitPublishProduct('{$base_dir}{$smarty.get.ad|escape:'htmlall':'UTF-8'}', 0, '{$smarty.get.adtoken|escape:'htmlall':'UTF-8'}')"/>
                            <input type="submit" value="{l s='Back'}" class="exclusive" onclick="submitPublishProduct('{$base_dir}{$smarty.get.ad|escape:'htmlall':'UTF-8'}', 1, '{$smarty.get.adtoken|escape:'htmlall':'UTF-8'}')"/>
                        {/if}
                    </p>
                    <p id="admin-action-result"></p>
                </div>
            {/if}

            {if isset($confirmation) && $confirmation}
                <p class="confirmation">
                    {$confirmation}
                </p>
            {/if}

            {if isset($HOOK_EXTRA_RIGHT) && $HOOK_EXTRA_RIGHT}{$HOOK_EXTRA_RIGHT}{/if}
            {if !$content_only}
                <!-- usefull links-->
                <ul id="usefull_link_block" class="clearfix no-print">
                    {if $HOOK_EXTRA_LEFT}{$HOOK_EXTRA_LEFT}{/if}
                    <li class="print">
                        <a href="javascript:print();">
                            {l s='Print'}
                        </a>
                    </li>
                    {if $have_image && !$jqZoomEnabled}{/if}
                </ul>
            {/if}

        {else}
            {if is_object($product)} {* products comparison page *}
                {if isset($moreVar)}
                    <a href="{$product->getLink()}">{$product->description_short|strip_tags|truncate:{$moreVar}:'...'}</a>
                {else}
                    <a href="{$product->getLink()}">{$product->description_short|strip_tags}</a>
                {/if}
            {else}
                {if version_compare($smarty.const._PS_VERSION_,'1.6','<')}
                    {if isset($moreVar)}
                        {$product.description_short|strip_tags:'UTF-8'|truncate:{$moreVar}:'...'}
                    {else}
                        {$product.description_short|strip_tags:'UTF-8'}
                    {/if}
                    <a href="{$product.link|escape:'htmlall':'UTF-8'}" title="{l s='View'}">{l s='View'}</a>
                {else}
                    {hook h='displayProductListReviews' product=$product}
                    <p class="product-desc" itemprop="description">
                        {if isset($moreVar)}
                            {$product.description_short|strip_tags:'UTF-8'|truncate:{$moreVar}:'...'}
                        {else}
                            {$product.description_short|strip_tags:'UTF-8'}
                        {/if}
                    </p>
                    <a itemprop="url" href="{$product.link|escape:'html':'UTF-8'}" title="{l s='View'}">
                        <span>{if (isset($product.customization_required) && $product.customization_required)}{l s='Customize'}{else}{l s='More'}{/if}</span>
                    </a>
                    {hook h="displayProductDeliveryTime" product=$product}
                    {hook h="displayProductPriceBlock" product=$product type="weight"}
                    {if isset($product.color_list)}
                        <div class="color-list-container">{$product.color_list}</div>
                    {/if}
                {/if}
            {/if}
        {/if}
    {/if}
</div>