{capture name=path}{l s='Manufacturers'}{/capture}
{include file="$tpl_dir./breadcrumb.tpl"}

<h1>{l s='Manufacturers'}</h1>

{if isset($errors) AND $errors}
    {include file="$tpl_dir./errors.tpl"}
{else}
    <p class="nbrmanufacturer">{strip}
        <span class="bold">
            {if $nbManufacturers == 0}{l s='There are no manufacturers.'}
            {else}
                {if $nbManufacturers == 1}
                    {l s='There is %d manufacturer.' sprintf=$nbManufacturers}
                {else}
                    {l s='There are %d manufacturers.' sprintf=$nbManufacturers}
                {/if}
            {/if}
        </span>{/strip}
    </p>

    {if $nbManufacturers > 0}
        <ul id="manufacturers_list">
        {foreach from=$manufacturers item=manufacturer name=manufacturers}
            <li class="clearfix {if $smarty.foreach.manufacturers.first}first_item{elseif $smarty.foreach.manufacturers.last}last_item{else}item{/if}"> 
                <div class="left_side">
                    <!-- logo -->
                    <div class="logo">
                    {if $manufacturer.nb_products > 0}<a href="{$link->getmanufacturerLink($manufacturer.id_manufacturer, $manufacturer.link_rewrite)|escape:'htmlall':'UTF-8'}" title="{$manufacturer.name|escape:'htmlall':'UTF-8'}" class="lnk_img">{/if}
                        <img src="{$img_manu_dir}{$manufacturer.image|escape:'htmlall':'UTF-8'}-medium_default.jpg" alt="" width="{$mediumSize.width}" height="{$mediumSize.height}" />
                    {if $manufacturer.nb_products > 0}</a>{/if}
                    </div>
                    <!-- name -->
                    <h3>
                        {if $manufacturer.nb_products > 0}<a href="{$link->getmanufacturerLink($manufacturer.id_manufacturer, $manufacturer.link_rewrite)|escape:'htmlall':'UTF-8'}">{/if}
                        {$manufacturer.name|truncate:60:'...'|escape:'htmlall':'UTF-8'}
                        {if $manufacturer.nb_products > 0}</a>{/if}
                    </h3>
                    <p class="description rte">
                    {if $manufacturer.nb_products > 0}<a href="{$link->getmanufacturerLink($manufacturer.id_manufacturer, $manufacturer.link_rewrite)|escape:'htmlall':'UTF-8'}">{/if}
                        {$manufacturer.short_description}
                    {if $manufacturer.nb_products > 0}</a>{/if}
                    {if $manufacturer.nb_products > 0}<a href="{$link->getmanufacturerLink($manufacturer.id_manufacturer, $manufacturer.link_rewrite)|escape:'htmlall':'UTF-8'}">{/if}
                        <span>{if $manufacturer.nb_products == 1}{l s='%d product' sprintf=$manufacturer.nb_products|intval}{else}{l s='%d products' sprintf=$manufacturer.nb_products|intval}{/if}</span>
                    {if $manufacturer.nb_products > 0}</a>{/if}
                    </p>
                </div>

                <div class="right_side">
                {if $manufacturer.nb_products > 0}
                    <a href="{$link->getmanufacturerLink($manufacturer.id_manufacturer, $manufacturer.link_rewrite)|escape:'htmlall':'UTF-8'}">{l s='view products'}</a>
                {/if}
                </div>
            </li>
        {/foreach}
        </ul>
        {include file="$tpl_dir./pagination.tpl"}
    {/if}
{/if}