{assign var=tplSuffix value=['index'=>'home', 'product'=>'productOverview','category'=>'products','cms'=>'pageTemplate','pagenotfound'=>'template404','order'=>'shoppingCartTemplate','module-cheque-payment'=>'shoppingCartTemplate','module-bankwire-payment'=>'shoppingCartTemplate','module-cashondelivery-validation'=>'shoppingCartTemplate']}

{assign var=isBdPreview value=isset($smarty.get.theme_name) scope="global"}
{if isset($isBdPreview) && $isBdPreview}
    {assign var=theme_name value=$tpl_dir|regex_replace:'/(.*)([\/\\\]themes[\/\\\])(.*)(_preview[\/\\\]$)/':'$3'}
{else}
    {assign var=theme_name value=$tpl_dir|regex_replace:'/(.*)([\/\\\]themes[\/\\\])(.*)([\/\\\]$)/':'$3'}
{/if}

{assign var=pathSuffix value='_default' scope="global"}
{if isset($tplSuffix[$page_name]) && $tplSuffix[$page_name]}
    {assign var=pathSuffix value="_{$tplSuffix[$page_name]}"}
{/if}

{if (isset($smarty.get.missingContent) && $smarty.get.missingContent)}
    {include file="$tpl_dir./templates/no-content.tpl" missingContent=$smarty.get.missingContent}
{else}
    {assign var=templateName value=''}
    {if !empty($templateVars) && !empty($templateVars[$theme_name])}
        {if !empty($templateVars[$theme_name][$page_name])}
            {assign var=templateName value={$templateVars[$theme_name][$page_name]}}
        {elseif $page_name eq 'pagenotfound'}
            {assign var=templateName value={$templateVars[$theme_name]['404']}}
        {else}
            {assign var=templateName value={$templateVars[$theme_name]['authentication']}}
        {/if}
    {/if}

    {if !empty($display_header)}
        {if (isset($smarty.get.template) && file_exists("{$tpl_dir}./templates/header_{$smarty.get.template}.tpl"))}
            {include file="{$tpl_dir}./templates/header_{$smarty.get.template}.tpl" HOOK_HEADER=$HOOK_HEADER} {* Preview in Themler *}
        {elseif (file_exists("{$tpl_dir}./templates/header_{$templateName}.tpl"))} {* Custom Template *}
            {include file="{$tpl_dir}./templates/header_{$templateName}.tpl" HOOK_HEADER=$HOOK_HEADER}
        {elseif file_exists("$tpl_dir./header$pathSuffix.tpl")} {* Backward Compatibility *}
            {include file="$tpl_dir./header$pathSuffix.tpl" HOOK_HEADER=$HOOK_HEADER}
        {elseif file_exists("$tpl_dir./header.tpl")}
            {include file="$tpl_dir./header.tpl" HOOK_HEADER=$HOOK_HEADER}
        {/if}
    {/if}
    {if ($page_name eq 'index')}
        {hook h="displayHome" blockId="1"}
    {elseif (!empty($template) && ($page_name !== 'pagenotfound'))}
        {$template}
    {/if}
    {if !empty($display_footer)}
        {if (isset($smarty.get.template) && file_exists("$tpl_dir./templates/footer_{$smarty.get.template}.tpl"))}
            {include file="$tpl_dir./templates/footer_{$smarty.get.template}.tpl"}
        {elseif (file_exists("{$tpl_dir}./templates/footer_{$templateName}.tpl"))} {* Custom Template *}
            {include file="{$tpl_dir}./templates/footer_{$templateName}.tpl"}
        {elseif file_exists("$tpl_dir./footer$pathSuffix.tpl")} {* Backward Compatibility *}
            {include file="$tpl_dir./footer$pathSuffix.tpl"}
        {elseif file_exists("$tpl_dir./footer.tpl")}
            {include file="$tpl_dir./footer.tpl"}
        {/if}
    {/if}
    {if !empty($live_edit)}
        {$live_edit}
    {/if}
{/if}